import request from '@/utils/request'

// 查询课程列表
export function listClass(query) {
  return request({
    url: '/system/Class/list',
    method: 'get',
    params: query
  })
}

// 查询课程详细
export function getClass(ClassId) {
  return request({
    url: '/system/Class/' + ClassId,
    method: 'get'
  })
}

// 新增课程
export function addClass(data) {
  return request({
    url: '/system/Class',
    method: 'post',
    data: data
  })
}

// 修改课程
export function updateClass(data) {
  return request({
    url: '/system/Class',
    method: 'put',
    data: data
  })
}

// 删除课程
export function delClass(ClassId) {
  return request({
    url: '/system/Class/' + ClassId,
    method: 'delete'
  })
}